/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLHRElement_H__
#define __GdomHTMLHRElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLHRElement GdomHTMLHRElement;
typedef struct _GdomHTMLHRElementClass GdomHTMLHRElementClass;


#define GDOM_TYPE_HTMLHR_ELEMENT            (gdom_htmlhr_element_get_type())
#define GDOM_HTMLHR_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTMLHR_ELEMENT, GdomHTMLHRElement))
#define GDOM_HTMLHR_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTMLHR_ELEMENT, GdomHTMLHRElement)Class)
#define GDOM_IS_HTMLHR_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTMLHR_ELEMENT))
#define GDOM_IS_HTMLHR_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTMLHR_ELEMENT))
#define GDOM_HTMLHR_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTMLHR_ELEMENT, GdomHTMLHRElementClass))

typedef struct _GdomHTMLHRElementPrivate GdomHTMLHRElementPrivate;

struct _GdomHTMLHRElement {
    GdomHTMLElement parent_instance;
    GdomHTMLHRElementPrivate *priv;
};

struct _GdomHTMLHRElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_htmlhr_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLHRElement_H__ */
